QGIS Application - Bug report #8631
QGIS 2.01 and 2.1 "Add delimited text layer" not working correctly
2013-09-19 06:51 AM - Rhenriques Henriques

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version:master Regression?: No
Operating System: OSX Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 17364
Description

The "Add delimited text layer" is not working correctly in version 2.01 and 2.1. Text is not parsed correctly. Text data that works fine in
QGIS 1.8, with values separated by tabs, get messed up in 2.xx. With comma separated values and the problem is the same.

History

#1 - 2013-09-19 07:45 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version changed from Version 2.0.0 to Future Release - High Priority
- Category set to C++ Plugins

please add sample data

#2 - 2013-09-19 08:31 AM - Rhenriques Henriques
- File testesuica.txt added
- File testesuica.csv added

Here it goes some sample data in swiss epsg 21781 coordinate system. This data is parsing just fine in QGIS 1.8 but fails in QGIS 2.xx. It's a blocker bug
because lots of people use this workflow for spatial data. The files were obtained by exporting an Excel spreadsheet to Tab delimited text and comma
delimited text.

Cheers

#3 - 2013-09-20 01:10 AM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Feedback to Closed

Rhenriques Henriques wrote:
Here it goes some sample data in swiss epsg 21781 coordinate system. This data is parsing just fine in QGIS 1.8 but fails in QGIS 2.xx. It's a
blocker bug because lots of people use this workflow for spatial data. The files were obtained by exporting an Excel spreadsheet to Tab delimited

text and comma delimited text.
Cheers

are your files made with excel on osx? if yes then is ultimately a mac issue, | agree that is a regression but there are easy workarounds meanwhile, see
#8421

http://developmentality.wordpress.com/2010/12/06/excel-2008-for-macs-csv-bug/

reopen if necessary.

Files
testesuica.txt 556 Bytes 2013-09-19 Rhenriques Henriques
testesuica.csv 709 Bytes 2013-09-19 Rhenriques Henriques
